2020-01-27 00:50 (월)
한글, 스택 버퍼오버플로우 취약점 주의!
상태바
한글, 스택 버퍼오버플로우 취약점 주의!
  • 길민권
  • 승인 2011.11.21 13:44
이 기사를 공유합니다

비정상적 종료나 악의적 코드 실행 가능해 보안패치 중요
국내 한글과컴퓨터사에서 개발한 워드프로세서인 ‘한글’에서 스택 버퍼오버플로우 취약점이 발견되었다. 공격자는 해당 취약점을 악용하여 영향 받는 소프트웨어를 비정상적으로 종료시키거나, 이 취약점을 이용해 악의적인 코드를 실행할 수 있다.
 
낮은 버전의 한글 사용자는 악성코드 감염에 취약할 수 있으므로 해결방안에 따라 최신버전으로 업데이트해야 한다.
 
영향 받는 소프트웨어는 다음과 같다.
- 한글 2004 6.0.5.770 이전버전
- 한글 2005 6.7.10.1067 이전버전
- 한글 2007 7.5.12.623 이전버전
- 한글 2010 SE 8.5.6.1131 이전버전
 
취약한 한글버전 소프트웨어 사용자는 한글과컴퓨터 홈페이지를 방문해 보안업데이트 파일을 다운받아 설치하거나 자동업데이트를 통해 한글 최신버전으로 업데이트해야 한다.

 
자동업데이트 순서는 ‘시작 → 모든 프로그램 → 한글과컴퓨터 → 한컴 자동 업데이트’ 순이다.
 
<참고사이트>
-www.hancom.co.kr/downLoad.downPU.do?mcd=001
[데일리시큐=길민권 기자]